#pragma once
typedef void (*UART_CTRL_Callback_RX)(void * args, char * data, size_t length);

class I_UART_CTRL_Hardware_Handler {
public:
    virtual void send(char * data, size_t length) = 0;
    virtual void registerCallback(UART_CTRL_Callback_RX) = 0;
};
